Bug 5568 - nfs-server fails on start
: nfs-server fails on start
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-15 19:26 MSD by a.lahin
Modified: 2015-05-25 15:35 MSD (History)
3 users (show)

See Also:
RPM Package: nfs-utils
ISO-related:
Bad POT generating:
Upstream:
firstlevel: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description a.lahin 2015-05-15 19:26:55 MSD
systemctl start nfs-server
A dependency job for nfs-server.service failed. See 'journalctl -xn' for details.


май 15 18:19:46 law-VirtualBox kernel: Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
май 15 18:19:46 law-VirtualBox mount[9867]: mount: sunrpc is already mounted or /proc/fs/nfsd busy
май 15 18:19:46 law-VirtualBox mount[9867]: sunrpc is already mounted on /var/lib/nfs/rpc_pipefs
май 15 18:19:46 law-VirtualBox systemd[1]: proc-fs-nfsd.mount mount process exited, code=exited status=32
-- Subject: Unit proc-fs-nfsd.mount has failed
-- Unit proc-fs-nfsd.mount has failed.
-- Subject: Unit nfs-server.service has failed
-- Unit nfs-server.service has failed.
-- Subject: Unit nfs-rquotad.service has failed
-- Unit nfs-rquotad.service has failed.
-- Subject: Unit nfs-mountd.service has failed
-- Unit nfs-mountd.service has failed.
-- Subject: Unit nfs-idmap.service has failed
-- Unit nfs-idmap.service has failed.
май 15 18:19:46 law-VirtualBox systemd[1]: Unit proc-fs-nfsd.mount entered failed state.
май 15 18:19:47 law-VirtualBox kernel: NFSD: Using /var/lib/nfs/v4recovery as the NFSv4 state recovery directory

It seems that this is the same issue:
http://forum.rosalab.ru/en/viewtopic.php?f=39&t=3261
Comment 2 a.lahin 2015-05-15 21:42:16 MSD
Advisory (fix improved):

https://abf.io/build_lists/2501651
https://abf.io/build_lists/2501652
Comment 3 FirstLevel 2015-05-18 15:02:36 MSD
32bit

update - ok

[root@r5-32 ~]# systemctl start nfs-server
[root@r5-32 ~]# systemctl status nfs-server
nfs-server.service - NFS Server
   Loaded: loaded (/lib/systemd/system/nfs-server.service; disabled)
   Active: active (exited) since Mon 2015-05-18 13:59:09 MSK; 1min 7s ago
 Main PID: 14612 (code=exited, status=0/SUCCESS)
   CGroup: /system.slice/nfs-server.service

May 18 13:59:08 r5-32 systemd[1]: Dependency failed for NFS Server.
May 18 14:00:04 r5-32 systemd[1]: Started NFS Server.
[root@r5-32 ~]# 



64bit

update - ok
[root@r5-64 ~]# systemctl start nfs-server
[root@r5-64 ~]# systemctl status nfs-server
nfs-server.service - NFS Server
   Loaded: loaded (/lib/systemd/system/nfs-server.service; disabled)
   Active: active (exited) since Mon 2015-05-18 14:01:24 MSK; 1min 4s ago
 Main PID: 6414 (code=exited, status=0/SUCCESS)
   CGroup: /system.slice/nfs-server.service

May 18 14:01:23 r5-64 systemd[1]: Dependency failed for NFS Server.
May 18 14:02:24 r5-64 systemd[1]: Started NFS Server.
[root@r5-64 ~]#
Comment 4 FirstLevel 2015-05-18 15:16:40 MSD
urpmi clusterscripts-client clusterscripts-server ltsp-utils (require nfs-utils)
 for 32 and 64 bit has finished with some errors, but I see these errors do not depend from version of nfs-utils
Comment 5 Vladimir Potapov 2015-05-19 16:42:56 MSD
The update is sent to expanded testing
***************************************
Comment 6 FirstLevel 2015-05-25 15:24:57 MSD
nfs-utils-1.2.6-8
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2501651/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2501652/x86_64/main/release/
************************ Advisory **********************

********************************************************
QA Verified